osgDB::IntLookup Class Reference

`#include <Serializer>`

## Public Types

typedef int | Value
typedef std::map< std::string, Value > | StringToValue
typedef std::map< Value, std::string > | ValueToString

## Public Member Functions

| IntLookup ()
unsigned int | size () const
void | add (const char *str, Value value)
void | add2 (const char *str, const char *newStr, Value value)
Value | getValue (const char *str)
const std::string & | getString (Value value)
StringToValue & | getStringToValue ()
const StringToValue & | getStringToValue () const
ValueToString & | getValueToString ()
const ValueToString & | getValueToString () const

## Protected Attributes

StringToValue | _stringToValue
ValueToString | _valueToString

## Member Typedef Documentation

## StringToValue

typedef std::map<std::string, Value> osgDB::IntLookup::StringToValue

## Value

typedef int osgDB::IntLookup::Value

## ValueToString

typedef std::map<Value, std::string> osgDB::IntLookup::ValueToString

## Constructor & Destructor Documentation

## IntLookup()

osgDB::IntLookup::IntLookup | ( |  | ) |

inline

## Member Function Documentation

## add()

void osgDB::IntLookup::add | ( | const char * | str,
|  | Value | value )

inline

References _stringToValue, _valueToString, osg::INFO, and osg::notify().

## add2()

void osgDB::IntLookup::add2 | ( | const char * | str,
|  | const char * | newStr,
|  | Value | value )

inline

References _stringToValue, _valueToString, osg::INFO, and osg::notify().

## getString()

const std::string & osgDB::IntLookup::getString | ( | Value | value | ) |

inline

References _valueToString.

## getStringToValue() [1/2]

StringToValue & osgDB::IntLookup::getStringToValue | ( |  | ) |

inline

References _stringToValue.

## getStringToValue() [2/2]

const StringToValue & osgDB::IntLookup::getStringToValue | ( |  | ) | const

inline

References _stringToValue.

## getValue()

Value osgDB::IntLookup::getValue | ( | const char * | str | ) |

inline

References _stringToValue.

## getValueToString() [1/2]

ValueToString & osgDB::IntLookup::getValueToString | ( |  | ) |

inline

References _valueToString.

## getValueToString() [2/2]

const ValueToString & osgDB::IntLookup::getValueToString | ( |  | ) | const

inline

References _valueToString.

## size()

unsigned int osgDB::IntLookup::size | ( |  | ) | const

inline

References _stringToValue.

## Member Data Documentation

## _stringToValue

StringToValue osgDB::IntLookup::_stringToValue

protected

Referenced by add(), add2(), getStringToValue(), getStringToValue(), getValue(), and size().

## _valueToString

ValueToString osgDB::IntLookup::_valueToString

protected

Referenced by add(), add2(), getString(), getValueToString(), and getValueToString().

The documentation for this class was generated from the following file:

- Serializer